Bug 1683425 - edk2: heap buffer overflow in NumberOfPartitions in UdfDxe/FileSystemOperations.c
Summary: edk2: heap buffer overflow in NumberOfPartitions in UdfDxe/FileSystemOperatio...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683430 1683429
Blocks: 1683431
TreeView+ depends on / blocked
 
Reported: 2019-02-26 20:10 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 07:16:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
TianoCore 828 None None None 2019-03-21 18:34:30 UTC

Description Laura Pardo 2019-02-26 20:10:11 UTC
A vulnerability was found in edk2. A heap buffer overflow in UdfDxe/FileSystemOperations.c when 'NumberOfPartitions' field of a Logical Volume Integrity Descriptor does not match the data within the relating Logical Volume Descriptor.


Upstream Bug:
https://bugzilla.tianocore.org/show_bug.cgi?id=828

Upstream Commit:
https://github.com/tianocore/edk2/commit/3b30351b75d70ea65701ac999875fbb81a89a5ca

Comment 1 Laura Pardo 2019-02-26 20:21:52 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1683430]
Affects: fedora-all [bug 1683429]

Comment 3 Riccardo Schirone 2019-03-22 07:16:58 UTC
Closing this in favor of bug 1691640.


Note You need to log in before you can comment on or make changes to this bug.